/* CSS is how you can add style to your website, such as colors, fonts, and positioning of your
   HTML content. To learn how to do something, just try searching Google for questions like
   "how to change link color." */
   
   /* this is mostly a template for the encyclopedia pages, split and repurpose once done */

body {
  background-color: black;
  color: white;
  font-family: Georgia;
  height: 100%;
  padding: 0 0 0 0;
  display: flex;
  image-rendering: pixelated;
  margin: 0;
}

.pagewrapper {
  width: 950px;
  background-color: #3d3b3b;
  min-height: calc(100vh - 50px);
  padding: 25px 25px 25px 25px;
  margin: 0 auto;
}

.navbar{
  background-color: #2a2a2a;
  width:calc(100% - 20px);
  padding: 10px 10px 10px 10px;
    display: flex;
  align-items: center;}
  
  .navbutton{
    max-height: 51px;
    margin:0 15px 0 0;}
    
.breadloaf{
  height: 20px;
  align-items: center;
  background-color: #2a2a2a;
  margin: 15px 0 15px 0;
  padding: 20px 20px 20px 20px;
  width: fit-content;
  display: flex;}
  

ul.breadcrumb li a {
  color: #0275d8;
  text-decoration: none;
}

ul.breadcrumb li a:hover {
  color: #01447e;
  text-decoration: underline;
}

ul.breadcrumb li+li:before {
  padding: 8px;
  color: white;
  content: ">\00a0";
}

ul.breadcrumb li {
  display: inline;
}

.breadcrumb{
  padding: 0 0 0 0;}
  
.contentwrapper{
  display: flex;
  height:540px;}




.scrollbox{
  display:flex;
}

.scrollbar {
    margin:0;
    padding:0;
    width:16px;
    background: none;
    --scrollthumb-height: 40%;
    appearance: slider-vertical;
    -webkit-appearance: slider-vertical;
    

}


/* scroll bar formatting */
input[type=range].scrollbar::-moz-range-thumb {
  height: var(--scrollthumb-height);
  width: 19px;
  border-radius: 0;
  border: none;
  background: url("/ui/scrollthumbtex.png")no-repeat;
  box-sizing: border-box;
}

input[type=range].scrollbar::-moz-range-track {
  background: url("/ui/scrolltracktex.png") no-repeat;
  background-blend-mode: overlay, normal;
  width: 16px;
  box-sizing: border-box;
}

.bioimgwrapper{
  background:url("/ui/encyclo_bgs/biome-void.png") no-repeat;
    margin: 0 15px 0 15px;
  height: 100%;
display: flex;
justify-content: center;
align-items: center;
   }
  
.bioimgmenu{
  background-color:#2a2a2a;
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 84px;
  margin: 0 15px 0 15px;
  }
  
.bioslidewrapper{
  justify-content:flex-end;
  display: flex;
  flex-direction: column;
  width:100%;
}

  
.biobox{
  width:460px;
  height:510px;
  padding: 15px 15px 15px 15px;
  background-color:#2a2a2a;
  overflow: scroll;
  scrollbar-width: none;}
  
.bioimg{
  width:414px;
  height:454px;

}

.mySlides{
animation: idle 5s linear infinite;
}

.biolabel{
  padding: 5px 10px 5px 10px;
  width:200px;
max-width:200px;
  
  }

.slideshowprettyup{
    justify-content:center;
  display: flex;}
  
/* remove this part when the page styles done */  
  
@keyframes idle{
   0% { transform: translateX(0%) scaleY(100%) scaleX(100%); } 
   25% { transform: translateX(0.5%) translateY(-0.5%) skewX(-0.5deg) scaleY(100.5%) scaleX(99.5%); } 
   75% { transform: translateX(-0.5%) translateY(0.5%) skewX(0.5deg) scaleY(99.5%) scaleX(100.5%); } 
   100% { transform: translateX(0%)scaleY(100%) scaleX(100%); } 
    
}

@keyframes boing{
   0% { transform: translateX(0%) translateY(0%) scaleY(100%) scaleX(100%); } 
   15% { transform: translateX(5%) translateY(10%) scaleY(80%) scaleX(102%); } 
   30% { transform: translateX(5%) translateY(-40%) scaleY(120%) scaleX(90%); }
   45% { transform: translateX(-5%) translateY(20%) scaleY(60%) scaleX(110%); } 
   60% { transform: translateX(-5%) translateY(-40%) scaleY(120%) scaleX(90%);}
   100% { transform: translateX(0%) translateY(0%) scaleY(100%) scaleX(100%); } 
    
}




